void RarCreateFile();
void RarSetFilePointer();
void RarReadFile();
void RarWriteFile();
void RarCloseHandle();
void SetFileFuncs(void* CF, void *SFP, void *RF, void* WF, void *CH);

/* Call InitRar() in main() and link with libunrar3.a to enable transparent reading of files compressed into RAR archives */
#define InitRar() 	SetFileFuncs(RarCreateFile,RarSetFilePointer, RarReadFile, RarWriteFile, RarCloseHandle)
